Subject: [GIT PULL] clockevents/clocksource: Add Marvell Orion SoC timer

From: [email-masked] (Daniel Lezcano)
Date: Sun, 07 Jul 2013 18:45:15 +0200

On 07/07/2013 05:30 PM, Thomas Gleixner wrote:
> On Sun, 7 Jul 2013, Jason Cooper wrote:
>> Sure, but to be clear, Daniel, please drop this patch from your tree.  I
>> have no desire to create an out-of-tree dependency if we can avoid it.
>> It has a habit of going horribly wrong [1].
>>
>> I'll cherry-pick
>>
>>   0c1dcfd clocksource: Add Marvell Orion SoC timer
> 
> Don't do that. Do a git fetch on that branch and then git merge
> 0c1dcfd. The patches before that Marvel commit are already in Linus
> tree. That way it does not matter who sends first or not.
> 
> We don't force others to drop stuff and cherry picking is a nuisance
> as well as you end up with two different commits doing the same thing.
> 
> Also for the next merge window: Can we please let everything under
> drivers/clocksoure go through Daniels and my trees?
> 
> I'm starting to be grumpy about anyone thinking that this directory is
> a public dump ground with no rules.

Yes I agree. I will meet John this week and we will sort out this and
define a clear set of rules to prevent that to happen again.

  -- Daniel

-- 
 <http://www.linaro.org/> Linaro.org ? Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog